{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.manalabs_scp.scp439_hive": {
			"initial_state": "init",
			"states": {
				"init": {
					"transitions": [
						{
							"default": "1.0"
						}
					]
				},
				"default": {
					"on_entry": ["v.random_hand = math.random_integer(1, 9);", "variable.animaiton_delay = query.life_time + 3 + math.random(1, 4);"],
					"animations": [
						{
							"random1_1": "v.random_hand == 1"
						},
						{
							"random1_2": "v.random_hand == 2"
						},
						{
							"random1_3": "v.random_hand == 3"
						},
						{
							"random2_1": "v.random_hand == 4"
						},
						{
							"random2_2": "v.random_hand == 5"
						},
						{
							"random2_3": "v.random_hand == 6"
						},
						{
							"random3_1": "v.random_hand == 7"
						},
						{
							"random3_2": "v.random_hand == 8"
						},
						{
							"random3_3": "v.random_hand == 9"
						}
					],
					"transitions": [
						{
							"init": "variable.animaiton_delay < query.life_time"
						}
					]
				}
			}
		}
	}
}